=== debian/changelog ===
hubzero-mw-service (2.1.8-1+deb8) unstable; urgency=low

  * fix debian build versioning

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 14:13:06 -0400
