=== debian/control ===
Source: hubzero-mw-service
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-mw-service
Architecture: all
Depends: python (>=2.6), ${misc:Depends}, ucf, time, ssh, quota, debootstrap, vzctl, socat, stunnel4
Recommends: fail2ban
Description: HUBzero middleware service
 HUBzero middleware service to manage OpenVZ application sessions on 
 HUBzero execution hosts.
